白宫官网在拜登任内仍然选择使用WordPress搭建

据荒原之梦网测试发现,在美国第 46 任总统乔·拜登 (Joe Biden) 于当地时间 2021 年 01 月 20 日正式宣誓就职之后,美国总统的官邸和办公室“白宫”的官网 (www.whitehouse.gov) 进行了全面的更新,更新之后的白宫官网和美国前任总统特朗普任职期间一样,仍然使用的是 WordPress 作为其基础架构。

新的白宫官网相比于上一版增加了一些人性化的功能,例如,用户可以自主选择使用日间模式还是夜间模式,也可以自主选择使用大号字体还是普通字体。此外,白宫官网还恢复了西班牙语站点,为美国拉美裔族群提供便利。除了语言不同之外,目前,白宫西班牙语站点和默认的英语站点在图片和布局等方面几乎完全一致。

白宫官网在拜登任内仍然选择使用WordPress搭建
Image From: https://www.whitehouse.gov/

通过使用 WPScan 进行的扫描可以发现,目前,白宫官网使用的是最新的 WordPress 5.6 版本,没有探测到其使用了插件。不过,白宫官网似乎启用了 WordPress 的 “Must Use Plugins” 功能,WPScan 给出的相关探测结果如下:

[+] This site has 'Must Use Plugins': https://www.whitehouse.gov/wp-content/mu-plugins/
 | Found By: Direct Access (Aggressive Detection)
 | Confidence: 80%
 | Reference: http://codex.wordpress.org/Must_Use_Plugins

“Must Use Plugins” 就是“必须使用的插件”,这些插件都位于 wp-content/mu-plugins 目录下。一旦一个插件成为了“必须使用的插件”,就会在 WordPress 站点中拥有相当高的优先级,主要表现在:

  • 默认就是启动状态;
  • 不能被禁用或者卸载,除非直接删除其源代码;
  • “Must Use Plugins” 插件的功能优先于其他所有插件。

由于 “Must Use Plugins” 插件权限更大,因此,可以用来放置某些保护站点安全的插件。此外,对于多站点的 WordPress 网站(例如,白宫官网就有一个英语网站还有一个西班牙语网站两个站点),使用 “Must Use Plugins” 安装插件也很有必要,因为这里的插件会作用于所有站点,可以使站点配置统一且高效。

根据探测结果给出的其他数据,白宫官网使用了美国 CDN 服务商 Akamai (阿卡迈) 的内容分发网络,该公司成立于 1998 年,是世界上第一家商业 CDN 服务提供商。